{
	"name": "tde-webpack-boilerplate",
	"version": "5.0.4",
	"main": "app.ts",
	"license": "MIT",
	"config": {
		"node": "18"
	},
	"scripts": {
		"watch": "node webpack/pre-script.js && webpack --watch --config webpack/webpack.config.js --stats-children",
		"pre": "node webpack/pre-script.js",
		"build": "node webpack/pre-script.js && NODE_ENV=prod webpack --mode production --config webpack/webpack.config.js --stats-children",
		"frontend-cs": "pnpm format && pnpm stylelint && pnpm svelte-check",
		"lint": "pnpm prettier --check . --plugin-search-dir=. && pnpm eslint && pnpm stylelint",
		"format": "node webpack/pre-script.js && prettier --write . --plugin-search-dir=.",
		"format-az": "node webpack/pre-script.js && ORDER=alphabetical prettier --write . --plugin-search-dir=",
		"stylelint": "stylelint -f verbose --cache 'assets/**/*.{css,scss,svelte}'",
		"stylelint-fix": "stylelint -f verbose --cache 'assets/**/*.{css,scss,svelte}' --fix",
		"svelte-check": "svelte-check"
	},
	"dependencies": {
		"bazinga-translator": "^5.0.0",
		"bootstrap": "3",
		"bootstrap-sass": "^3.4.3",
		"formbouncerjs": "^1.4.6",
		"jump.js": "^1.0.2",
		"normalize.css": "^8.0.1",
		"outdated-browser-rework": "github:tdeNL/outdated-browser-rework",
		"svelte": "^3.56.0",
		"swiper": "^8.4.7"
	},
	"devDependencies": {
		"@babel/cli": "^7.21.0",
		"@babel/core": "^7.21.0",
		"@babel/eslint-parser": "^7.19.1",
		"@babel/plugin-syntax-dynamic-import": "^7.8.3",
		"@babel/plugin-transform-runtime": "^7.21.0",
		"@babel/preset-env": "^7.20.2",
		"@babel/preset-typescript": "^7.21.0",
		"@babel/runtime": "^7.21.0",
		"@nuxt/friendly-errors-webpack-plugin": "^2.5.2",
		"@tsconfig/svelte": "^3.0.0",
		"@types/jump.js": "^1.0.4",
		"@typescript-eslint/eslint-plugin": "^5.54.1",
		"@typescript-eslint/parser": "^5.54.1",
		"autoprefixer": "^10.4.14",
		"babel-loader": "^8.3.0",
		"babel-preset-env": "^1.7.0",
		"browserslist": "^4.21.5",
		"check-node-version": "^4.2.1",
		"clean-webpack-plugin": "^4.0.0",
		"core-js": "^3.29.0",
		"css-loader": "^6.7.3",
		"css-minimizer-webpack-plugin": "^4.2.2",
		"eslint": "^8.35.0",
		"eslint-config-airbnb-base": "^15.0.0",
		"eslint-config-airbnb-typescript": "^17.0.0",
		"eslint-config-prettier": "^8.7.0",
		"eslint-import-resolver-alias": "^1.1.2",
		"eslint-import-resolver-webpack": "^0.13.2",
		"eslint-plugin-compat": "^4.1.2",
		"eslint-plugin-import": "^2.27.5",
		"eslint-plugin-jsx-a11y": "^6.7.1",
		"eslint-plugin-prettier": "^4.2.1",
		"eslint-plugin-react": "^7.32.2",
		"eslint-plugin-react-hooks": "^4.6.0",
		"eslint-plugin-svelte3": "^4.0.0",
		"eslint-webpack-plugin": "^3.2.0",
		"fsevents": "^2.3.2",
		"glob": "^8.1.0",
		"html-webpack-plugin": "^5.5.0",
		"lodash": "^4.17.21",
		"mini-css-extract-plugin": "^2.7.3",
		"postcss": "^8.4.21",
		"postcss-html": "^1.5.0",
		"postcss-loader": "^7.0.2",
		"prettier": "^2.8.4",
		"prettier-plugin-css-order": "^1.3.0",
		"prettier-plugin-svelte": "^2.9.0",
		"sass": "^1.58.3",
		"sass-loader": "^13.2.0",
		"style-loader": "^3.3.1",
		"stylelint": "^13.13.1",
		"stylelint-config-html": "^1.1.0",
		"stylelint-selector-bem-pattern": "^2.1.1",
		"svelte-check": "^3.1.0",
		"svelte-check-plugin": "^1.0.4",
		"svelte-loader": "^3.1.7",
		"svelte-preprocess": "^4.10.7",
		"svelte-preprocess-sass": "^2.0.1",
		"svg-sprite-loader": "^6.0.11",
		"tde-stylelint-config": "github:tdeNL/tde-stylelint-config",
		"tde-webpack-svg-plugin": "^3.0.0",
		"terser-webpack-plugin": "^5.3.7",
		"ts-loader": "^9.4.2",
		"typescript": "^4.9.5",
		"webpack": "^5.76.0",
		"webpack-cli": "^4.10.0",
		"webpack-extraneous-file-cleanup-plugin": "^2.0.0",
		"webpack-manifest-plugin": "^5.0.0",
		"webpack-notifier": "^1.15.0",
		"webpack-retry-chunk-load-plugin": "^3.1.1"
	},
	"pnpm": {
		"peerDependencyRules": {
			"allowedVersions": {
				"postcss": "5.2.18"
			}
		}
	},
	"browserslist": {
		"production": [
			"> 1%",
			"not ie <= 10",
			"not op_mini all"
		],
		"modern": [
			"last 1 chrome version",
			"last 1 firefox version"
		]
	}
}
